Bit of a fringe post this but I couldnt find out too much info on this so I tested it myself.

I’ve been trying to find out if I can upgrade some old NetScaler VPX 9.3’s to version 11’s running on XenServer 5.6 SP2, Information seems sparse to say the least.

My initial query came about because previously I was limited to upgrading a customer from NetScaler 9.3 to 10.1 because 10.5 had a networking problem on XenServer 5.6 SP2.

The below is taken directly from the release notes of a 10.5 firmware release. which in other 10.5 release notes change slightly to signify that networking may fail after a reboot.

When an instance of NetScaler VPX, which is provisioned on XenServer version 5.6 or earlier, is upgraded to release 10.5, the instance may become unresponsive after a restart.

Now being semi optimistic I trawled the NetScaler 11 release notes for compatibility with XenServer 5.6 but could find no definate compatibility matrix nor mention that the issue has been fixed.

So I dusted off the XenServer 5.6 lab and gave it a go myself, and I’m pleased to say that so far I’ve not experienced any issues upgrading a NetScaler HA pair from 9.3 to 11 (.65). The only complication that I have is that my customer needing this upgrade utilises the Web Interface install on the NetScaler itself and from version 10.5 onwards a different OpenJDK is used so you have to reinstall Web Interface using the NetScaler Gateway 11 Web Interface component and the OpenJDK currently available from here. This wipes out the Web Interface config but is easily recreatable from the backed up NS.conf files, you did back those up first right!?

Author: Dale Scriven

 

Leave a Reply

Set your Twitter account name in your settings to use the TwitterBar Section.
%d bloggers like this: